/*
 *	ccard - credit card number validation
 *	1994 Peter Miller
 *	Public Domain
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * MANIFEST: isolate string.h/strings.h differences
 */

#ifndef AC_STRING_H
#define AC_STRING_H

#include <config.h>

#if STDC_HEADERS || HAVE_STRING_H
#  include <string.h>
   /* An ANSI string.h and pre-ANSI memory.h might conflict.  */
#  if !STDC_HEADERS && HAVE_MEMORY_H
#    include <memory.h>
#  endif
#else
   /* memory.h and strings.h conflict on some systems.  */
#  include <strings.h>
#endif

#endif /* AC_STRING_H */
