#!/bin/sh
#
#	ccard - credit card number validation
#	1994 Peter Miller
#	Public Domain
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# MANIFEST: shell script to generate CHANGES file
#
case $# in
1)
	project=$1
	;;

*)
	echo "usage: $0 <project>" 1>&2
	exit 1
	;;
esac
set -e
aegis -l changes -p $project -v -pl 66 -pw 72 < /dev/null
changes=`aegis -list changes -terse -project $project`
for n in $changes
do
	echo '' | tr '\12' '\14'
	aegis -l change_details -p $project -c $n -v -pl 66 -pw 72 < /dev/null
done
exit 0
