#
#	ccard - credit card number validation
#	1994 Peter Miller
#	Public Domain
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# MANIFEST: helper file for generating Makefile file
#
length <= 72
length > 72 {
	if (substr($0, 1, 1) == "\t")
	{
		printf "\t"
		pos = 8
	}
	else	
		pos = 0
	for (j = 1; j <= NF; ++j)
	{
		if (pos + 1 + length($j) > 72)
		{
			printf "\\\n\t\t"
			pos = 16
		}
		printf "%s ", $j
		pos += length($j) + 1
	}
	printf "\n"
}
